<?xml version="1.0" encoding="UTF-8"?>
<html>
    <head>
        <title>Eclipse Web Tools Platform (WTP) Project Development</title>
    </head>
    <body>
        <h1>wtp project development</h1>
        <div class="homeitem">
            <h2>Development Tools</h2>
            <ul>
                <li>
                    <a href="http://www.eclipse.org/webtools/plans/1.0/reports/help-wanted.html">Help Wanted</a>
                    <br />
                    If you would like to contribute to the project, read this page to find work items.
                </li>
                <li>
                    <a href="https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Web%20Tools">Bug Reports</a>
                    <br />
                    The WTP uses
                    <a target="_top" href="http://bugzilla.mozilla.org/">Bugzilla</a>
                    for bug tracking.
                    <a href="bugs/bugs.html">View WTP bug reports</a>
                    or
                    <a target="_top" href="https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Web%20Tools">
                        open new bugs.
                    </a>
                </li>
                <li>
                    <a href="http://www.eclipse.org/webtools/development/apiscanner/apiscanner.html">
                        Eclipse API Scanner
                    </a>
                    <br />
                    Describe the API of a component and scan plug-ins for API violations.
                    <a href="http://www.eclipse.org/webtools/development/apiscanner/reports/main.html">
                        View WTP Usage Scan Reports
                    </a>
                </li>
                <li>
                    <a href="http://www.eclipse.org/webtools/development/piitools/piitools.html">
                        Check Unused Properties Tool
                    </a>
                    <br />
                    Scan property files for unused messages.
                </li>
                <li>
                    <a href="http://www.eclipse.org/webtools/development/proposals/index.html">Technical Proposals</a>
                    <br />
                    Review available technical proposals.
                </li>
                <li>
                    <a href="http://dev.eclipse.org/viewcvs/index.cgi/?cvsroot=WebTools_Project">CVS Repository</a>
                    <br />
                    WTP development is carried out in a CVS repository. Both "pserver" and "extssh" are supported. See
                    <a href="http://dev.eclipse.org/cvshowto.html">Using Eclipse with CVS</a>
                    for instructions including the repository location.

                </li>
                <li>
                    <a href="http://www.eclipse.org/webtools/development/httptracerutility/index.html">
                        HTTP Connection Tracer Diagnostic Utility
                    </a>
                    <br />
                    Use this utility to troubleshoot network connection problems in Eclipse.
                </li>
            </ul>
        </div>
        <div class="homeitem">
            <h2>Development Resources - Learn about WTP Development</h2>
            <ul>
                <li>
                    <a href="contributing.html">Contributing to the WTP Project</a>
                    <br />
                    Learn what's involved in developing and contributing enhancements or new capabilities for the WTP.
                </li>
                <li>
                    <a
                        href="http://dev.eclipse.org/viewcvs/index.cgi/*checkout*/org.eclipse.wtp.releng/readme.html?cvsroot=WebTools_Project">
                        Build Process
                    </a>
                    <br />
                    The WTP continuous build process is modeled after other Eclipse project build processes. For more
                    information, visit the
                    <a href="https://wiki.eclipse.org/index.php/WTP_Build_Process_and_Procedures">
                        associated WTP wiki page.
                    </a>
                </li>
                <li>
                    <a href="maintenance/1.5/R1_5_maintenance.html">WTP 1.5 Maintenance Stream Process</a>
                    <br />
                    This document talks about how to create and work with a maintenance stream/branch.
                </li>
                <li>
                    <a href="arch_and_design/pq-apis-20041115.ppt">Platform Quality APIs</a>
                    <br />
                    A presentation given by Jim des Rivières to some component teams in Raleigh, N.C., on 11/15/2004. It
                    describes some principles and tips on producing platform quality designs and APIs. See slide 28 for
                    a little laugh.
                </li>
                <li>
                    <a href="guidelines/naming-conventions.html">Conventions and Guidelines</a>
                    <br />
                    Look here for the for the coding standards, naming conventions, and other guidelines we use to help
                    ensure eclipse presents to users and developers as a unified whole rather than as a loose collection
                    of parts.
                </li>
                <li>
                    <a href="arch_and_design/ArchitectureOverview.html">Architectural Overview</a>
                    <br />
                    A high level summary of the components and their architecture.
                </li>
                <li>
                    <a href="https://wiki.eclipse.org/WTP_Development_Status_Meetings">Status Telecons</a>
                    <br />
                    Weekly development telecons to review status and discuss issues.
                </li>
                <li>
                    <a href="requirements/index.html">Project Requirements</a>
                    <br />
                    A description of the project requirements, requirements group, and requirements process.
                </li>
                <li>
                    <div class="sectiontitle">Documents</div>
                    <a href="../faq/CommitterFAQ.php">Committer FAQ</a>
                    <br />
                    <a href="tests.html">Automated Testing</a>
                    <br />
                    <a href="WTPDevelopmentPractice.html">Development Practices</a>
                    <br />
                    <a href="../community/tutorials/DevelopingWTP/DevelopingWTP.html">
                        Developing the WTP with Eclipse
                    </a>
                    <br />
                    <a href="arch_and_design/capabilities/WTPCapabilities.html">WTP Capabilities Description</a>
                    <br />
                    <a href="arch_and_design/subsystems/SubsystemsAndFeatures.html">WTP Subsystems and Features</a>
                </li>
                <li>
                    <a href="../people/contributors.html">Contributors and Committers</a>
                    <br />
                    List of Eclipse Web Tools Platform Project contributors and
                    <a href="http://eclipse.org/webtools/commit.html">committers.</a>
                </li>
                <li>
                    <a href="../devProcess/devTeams.html">Components and Teams</a>
                    <br />
                    Look here for details about the components and associated team members, grouped by subproject.
                </li>
                <li>
                    <a href="http://www.eclipse.org/webtools/iprelated/ip_log.php">WTP IP Log</a>
                    <br />
                    Look here for the WTP intellectual property log.
                </li>
            </ul>
        </div>
        <div class="homeitem">
            <h2>Initial WTP Code Contributions</h2>
            <p>
                <a href="http://www.ibm.com" target="_top">IBM</a>
                and
                <a href="http://www.objectweb.org/" target="_top">ObjectWeb</a>
                provided initial code contributions to start the Web Tools Platform project. This code is has been moved
                into the
                <a href="http://dev.eclipse.org/viewcvs/index.cgi/?cvsroot=WebTools_Project">CVS repository.</a>
                <br />
                <br />
                The initial code contribution from IBM is now available as the
                <a href="http://www.alphaworks.ibm.com/tech/webtools" target="_top">IBM Web Tools for Eclipse</a>
                project hosted by
                <a href="http://www.alphaworks.ibm.com" target="_top">alphaWorks.</a>
            </p>
            <ul></ul>
        </div>
    </body>
</html>
